#
# spec file for package perl-HTML-FromANSI-Tiny
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-FromANSI-Tiny
Version:        0.105
Release:        1.12
%define cpan_name HTML-FromANSI-Tiny
Summary:        Easily convert colored command line output to HTML
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-FromANSI-Tiny/
Source0:        https://cpan.metacpan.org/authors/id/R/RW/RWSTAUNER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Parse::ANSIColor::Tiny) >= 0.600
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
Requires:       perl(HTML::Entities)
Requires:       perl(Parse::ANSIColor::Tiny) >= 0.600
%{perl_requires}

%description
Convert the output from a terminal command that is decorated with ANSI
escape sequences into customizable HTML (with a small amount of code).

This module complements Parse::ANSIColor::Tiny by providing a simple HTML
markup around its output.

Parse::ANSIColor::Tiny returns a data structure that's easy to reformat
into any desired output. Reformatting to HTML seemed simple and common
enough to warrant this module as well.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE

%changelog
* Thu Sep  7 2017 coolo@suse.com
- updated to 0.105
  see /usr/share/doc/packages/perl-HTML-FromANSI-Tiny/Changes
  0.105     2017-09-06T14:44:55Z
  - Update meta files.  No code changes.
* Sun May  1 2016 coolo@suse.com
- updated to 0.104
  see /usr/share/doc/packages/perl-HTML-FromANSI-Tiny/Changes
  0.104     2016-04-25T05:37:30Z
  - Add colors for 256 palette.
    Bump prereq on Parse::ANSIColor::Tiny to get them.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.103
  see /usr/share/doc/packages/perl-HTML-FromANSI-Tiny/Changes
  0.103     2014-03-16T01:56:14Z
  - Remove many terminal escape sequences not related to color
    (by bumping the prereq on Parse::ANSIColor::Tiny to 0.500).
    Thanks to Taiki Kawakami for the pull request!
  0.102     2013-08-17T17:20:37Z
  - Sort css entries for consistent output on 5.18+ (to facilitate testing).
    Thanks Stephen Thirlwall!
  0.101     2013-07-09T14:12:55Z
  - Add 'inline_style' boolean to enable output using style=""
    instead of class="".
  - Add 'styles' attribute for customizing styles.
* Wed Apr 18 2012 pascal.bleser@opensuse.org
- initial version (0.100)
